### Class

# Gtk TreeListModel

#### Description [src]

    final class Gtk.TreeListModel : GObject.Object
      implements Gio.ListModel {
      /* No available fields */
    }

A list model that can create child models on demand.

#### Ancestors

- GObject

#### Implements

- GListModel

#### Constructors

###### gtk_tree_list_model_new

Creates a new empty `GtkTreeListModel` displaying `root` with all rows collapsed.

#### Instance methods

###### gtk_tree_list_model_get_autoexpand

Gets whether the model is set to automatically expand new rows that get added.

###### gtk_tree_list_model_get_child_row

Gets the row item corresponding to the child at index `position` for `self`‘s root model.

###### gtk_tree_list_model_get_model

Gets the root model that `self` was created with.

###### gtk_tree_list_model_get_passthrough

Gets whether the model is passing through original row items.

###### gtk_tree_list_model_get_row

Gets the row object for the given row.

###### gtk_tree_list_model_set_autoexpand

Sets whether the model should autoexpand.

##### Methods inherited from GObject (43)

Please see GObject for a full list of methods.

##### Methods inherited from GListModel (5)

###### g_list_model_get_item

Get the item at `position`.

###### g_list_model_get_item_type

Gets the type of the items in `list`.

###### g_list_model_get_n_items

Gets the number of items in `list`.

###### g_list_model_get_object

Get the item at `position`.

###### g_list_model_items_changed

Emits the `GListModel::items-changed` signal on `list`.

#### Properties

###### Gtk.TreeListModel:autoexpand

If all rows should be expanded by default.

###### Gtk.TreeListModel:item-type

The type of items. See `g_list_model_get_item_type()`.

since: 4.8

###### Gtk.TreeListModel:model

The root model displayed.

###### Gtk.TreeListModel:n-items

The number of items. See `g_list_model_get_n_items()`.

since: 4.8

###### Gtk.TreeListModel:passthrough

Gets whether the model is in passthrough mode.

#### Signals

##### Signals inherited from GObject (1)

###### GObject::notify

The notify signal is emitted on an object when one of its properties has its value set through g_object_set_property(), g_object_set(), et al.

##### Signals inherited from GListModel (1)

###### GListModel::items-changed

This signal is emitted whenever items were added to or removed from `list`. At `position`, `removed` items were removed and `added` items were added in their place.

#### Class structure

    struct GtkTreeListModelClass {
      GObjectClass parent_class;

    }

No description available.

###### Class members

`parent_class: GObjectClass`

  No description available.